import React from 'react';
declare type BaseElement = HTMLDivElement;
declare type BaseProps = React.HTMLAttributes<BaseElement>;
interface SkeletonTableRowsProps extends BaseProps {
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    readonly rows: number;
    readonly columns: number;
}
export declare const SkeletonTableRows: React.FC<SkeletonTableRowsProps>;
export {};
